Get chart entries

The Get platforms for album charts endpoint lists available platforms.

In the response:

  • rankDate is the last date the album appeared in this chart.
  • entryDate is the first date the album appeared in this chart.
  • oldPosition for a current chart entry is the last known position for the album prior to the current position.
  • oldPosition for a past chart entry is the last known position before the album left the chart.
  • When the position field is "0", it means that the album is no longer in the chart, ie. that the current version of that chart does not feature that album.
Need to get the album UUID first? Use the Get album by UPC or Get album by platform ID endpoints.

Request

GET /api/v2.26/album/{uuid}/charts/ranks/{platform}

Path parameters

Parameter Value Description Additional
uuid string An album UUID Required
platform string A album chart platform code Required

Query string parameters

Parameter Value Description Additional
currentOnly integer Get only the current positions in charts with 1, or the current and past positions with 0. Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
sortBy string Sort criteria. Available values are : position, rankDate Optional
sortOrder string Sort order. Available values are : asc, desc Optional

Response

Code Description Resource
200 OK

A album rank collection response

Album Rank Collection
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Album not found

Explore

An album UUID

A album chart platform code

Get only the current positions in charts with 1, or the current and past positions with 0.

Get results starting from position

Number of results (max. 100)

Sort criteria. Available values are : position, rankDate

Sort order. Available values are : asc, desc

Try it out